package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.ParamEnum;

/**
 * @Author Joburgess
 * @Date 2019/9/10
 */
public class TeacherAttendanceDto {

    @ApiModelProperty(value = "课程计划ID",required = false)
    private Long courseScheduleId;

    @ApiModelProperty(value = "上课日期",required = false)
    private java.util.Date classDate;

    @ApiModelProperty(value = "上课时间",required = false)
    private java.util.Date startClassTime;

    @ApiModelProperty(value = "结束时间",required = false)
    private java.util.Date endClassTime;

    @ApiModelProperty(value = "班级ID",required = false)
    private Long classId;

    @ApiModelProperty(value = "班级名称",required = false)
    private String className;

    @ApiModelProperty(value = "班级类型",required = false)
    private String classType;

    @ApiModelProperty(value = "乐团ID",required = false)
    private Long musicGroupId;

    @ApiModelProperty(value = "乐团名称",required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "学校ID",required = false)
    private Long schoolId;

    @ApiModelProperty(value = "学校地址",required = false)
    private String address;

    @ApiModelProperty(value = "学校经纬度",required = false)
    private String longitudeAndLatitude;

    /** 课程状态 */
    @ApiModelProperty(value = "课程状态  NOT_START未开始，SIGN_IN已签到，SIGN_OUT已签退",required = false)
    private CourseStatusEnum courseStatus;

    @ApiModelProperty(value = "服务器当前时间",required = false)
    private Date currentTime;

    @ApiModelProperty(value = "教师正常签到提前时间(分钟)",required = false)
    private ParamEnum teacherAttendanceTimeGap;

    public ParamEnum getTeacherAttendanceTimeGap() {
        return teacherAttendanceTimeGap;
    }

    public void setTeacherAttendanceTimeGap(ParamEnum teacherAttendanceTimeGap) {
        this.teacherAttendanceTimeGap = teacherAttendanceTimeGap;
    }

    public Date getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(Date currentTime) {
        this.currentTime = currentTime;
    }

    public CourseStatusEnum getCourseStatus() {
        return courseStatus;
    }

    public void setCourseStatus(CourseStatusEnum courseStatus) {
        this.courseStatus = courseStatus;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLongitudeAndLatitude() {
        return longitudeAndLatitude;
    }

    public void setLongitudeAndLatitude(String longitudeAndLatitude) {
        this.longitudeAndLatitude = longitudeAndLatitude;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public Date getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(Date endClassTime) {
        this.endClassTime = endClassTime;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getClassType() {
        return classType;
    }

    public void setClassType(String classType) {
        this.classType = classType;
    }

    public Long getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(Long musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }
}
